MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032298Open CASCADE[OCCT] PRODUCTS:Codingpublic2021-04-12 12:402021-04-25 12:26
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032298: Coding Rules - eliminate CLang warning -Wdelete-non-virtual-dtor
DescriptionWarnings on compilation for MacOS with clang-1000.10.44.4:

http://jenkins-test-12.nnov.opencascade.com/view/IR-2021-04-09/view/PRODUCTS%20compile/job/IR-2021-04-09-Products-MacOS-opt-compile/2/warnings10Result/ [^]

/Library/Developer/CommandLineTools/usr/include/c++/v1/memory:2285:5: warning: delete called on 'VolumeRender_GraphicObject' 
that is abstract but has non-virtual destructor [-Wdelete-non-virtual-dtor]
    delete __ptr;
    ^

/Library/Developer/CommandLineTools/usr/include/c++/v1/memory:2285:5: warning: delete called on non-final 
'(anonymous namespace)::NodeSplitTask' that has virtual functions but non-virtual destructor [-Wdelete-non-virtual-dtor]
    
delete __ptr;
    ^
/Library/Developer/CommandLineTools/usr/include/c++/v1/memory:2598:7: note: in instantiation of member 
function 'std::__1::default_delete<(anonymous namespace)::NodeSplitTask>::operator()' requested 
here
      __ptr_.second()(__tmp);
      ^
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100241)
kgv (developer)
2021-04-12 14:00

Please check warnings
- OCC Products: branch CR32298.

http://jenkins-test-12.nnov.opencascade.com:8080/view/master-CR32298-KGV/view/PRODUCTS%20compile/ [^]
(0100380)
bugmaster (administrator)
2021-04-17 13:07

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100396)
bugmaster (administrator)
2021-04-17 13:43

Fix has been integrated into master of occt-products repository

- Issue History
Date Modified Username Field Change
2021-04-12 12:40 bugmaster New Issue
2021-04-12 12:40 bugmaster Assigned To => bugmaster
2021-04-12 12:41 bugmaster Assigned To bugmaster => kgv
2021-04-12 13:03 kgv Category OCCT:Configuration => PRODUCTS:Coding
2021-04-12 13:03 kgv Summary Coding - Warnings on compilation for MacOS with clang-1000.10.44.4 => Coding Rules - Warnings on compilation for MacOS with clang-1000.10.44.4
2021-04-12 13:03 kgv Description Updated View Revisions
2021-04-12 13:04 kgv Product Version => 7.5.0
2021-04-12 13:04 kgv Summary Coding Rules - Warnings on compilation for MacOS with clang-1000.10.44.4 => Coding Rules - eliminate CLang warning -Wdelete-non-virtual-dtor
2021-04-12 13:04 kgv Description Updated View Revisions
2021-04-12 14:00 kgv Note Added: 0100241
2021-04-12 14:00 kgv Assigned To kgv => bugmaster
2021-04-12 14:00 kgv Status new => resolved
2021-04-12 14:00 kgv Severity minor => trivial
2021-04-12 14:00 kgv Status resolved => reviewed
2021-04-17 13:07 bugmaster Note Added: 0100380
2021-04-17 13:07 bugmaster Status reviewed => tested
2021-04-17 13:10 bugmaster Test case number => Not required
2021-04-17 13:43 bugmaster Note Added: 0100396
2021-04-17 13:43 bugmaster Status tested => verified
2021-04-17 13:43 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker